/*
    Copyright (c) 2010 digitalSTROM.org, Zurich, Switzerland

    Author: Sergey 'Jin' Bostandzhyan <jin@mediatomb.cc> 

    This file is part of upnp-beacon.

    upnp-beacon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as 
    published by the Free Software Foundation.

    upnp-beacon is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with upnp-beacon. If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef __UPNP_BEACON_IF_UTIL_H__
#define __UPNP_BEACON_IF_UTIL_H__

/// \brief Takes interface as argument and returns the ip. The returned string
/// must be freed by the caller.
///
/// \param interface interface string as shown by ifconfig (i.e. eth0, etc.)
/// \return ip represented as string or NULL, if non NULL the string must be
/// freed by the caller.
char *interface_to_ip(const char *interface);

#endif
